archive_path: /home/teuthworker/archive/lflores-2022-09-29_00:18:10-upgrade:telemetry-upgrade:quincy-x-wip-telemetry-perf-fix-distro-default-smithi/7047045
branch: wip-telemetry-perf-fix
description: upgrade:telemetry-upgrade:quincy-x/{0-random-distro$/{rhel_8.6_container_tools_3.0}
  0-start 1-tasks}
email: null
first_in_suite: false
job_id: '7047045'
kernel:
  kdb: true
  sha1: distro
last_in_suite: false
machine_type: smithi
name: lflores-2022-09-29_00:18:10-upgrade:telemetry-upgrade:quincy-x-wip-telemetry-perf-fix-distro-default-smithi
no_nested_subset: false
nuke-on-error: true
openstack:
- volumes:
    count: 4
    size: 10
os_type: rhel
os_version: '8.6'
overrides:
  admin_socket:
    branch: wip-telemetry-perf-fix
  ceph:
    conf:
      mgr:
        debug mgr: 20
        debug ms: 1
      mon:
        debug mon: 20
        debug ms: 1
        debug paxos: 20
      osd:
        debug ms: 1
        debug osd: 20
        osd shutdown pgref assert: true
    create_rbd_pool: true
    flavor: default
    log-ignorelist:
    - \(MDS_ALL_DOWN\)
    - \(MDS_UP_LESS_THAN_MAX\)
    sha1: 97833a6a81fed7f868e1d544816cfbdf254fdb43
  ceph-deploy:
    conf:
      client:
        log file: /var/log/ceph/ceph-$name.$pid.log
      mon:
        osd default pool size: 2
  install:
    ceph:
      flavor: default
      sha1: 97833a6a81fed7f868e1d544816cfbdf254fdb43
  selinux:
    whitelist:
    - scontext=system_u:system_r:logrotate_t:s0
  workunit:
    branch: wip-upgrade-telemetry
    sha1: 6796dedf5c3e8cfdbdcbaf17ffca235d71639d73
owner: scheduled_lflores@teuthology
priority: 70
repo: git://git.ceph.com/ceph-ci.git
roles:
- - mon.a.complex.name
  - mon.c.complex.name
  - mgr.y.complex.name
  - mds.a.complex.name
  - osd.0
  - osd.1
  - osd.2
  - osd.3
  - client.0
  - node-exporter.a
  - alertmanager.a
- - mon.b.complex.name
  - mds.b.complex.name
  - mgr.x.complex.name
  - osd.4
  - osd.5
  - osd.6
  - osd.7
  - client.1
  - prometheus.a
  - grafana.a
  - node-exporter.b
sha1: 97833a6a81fed7f868e1d544816cfbdf254fdb43
sleep_before_teardown: 0
suite: upgrade:telemetry-upgrade:quincy-x
suite_branch: wip-upgrade-telemetry
suite_path: /home/teuthworker/src/github.com_ljflores_ceph_6796dedf5c3e8cfdbdcbaf17ffca235d71639d73/qa
suite_relpath: qa
suite_repo: https://github.com/ljflores/ceph.git
suite_sha1: 6796dedf5c3e8cfdbdcbaf17ffca235d71639d73
targets:
  smithi150.front.sepia.ceph.com: ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABgQDWbNzsVSCh53m5S5VraubpVfvDPOpr8b69rqWeG0aibviWRBEfP/EnfPsCyrWlvsY7oN4Ajxf3jkDCpaQYc7esrf7gUmqLPXt0jsvgC7hVlFG9799umbBLbL5ARcRnGqXnVCh8dlEbV6kelZi7SsJG0jTmsBN6iNeU77TJUq3sckHqizHeOirRKT2qmDHkW7bAvvyYvy8bekKKQi481V+3MmKh0Ipo864luFdW7Nq7y++gmu6ioliaiMe8QM6juU0ofaRKXctJrKoVaMt7HRPwTe9fZ+DnX1R2H/UYzbAuL2Keer1AOnmISVgbh2J/V62XYD+9n2RoDKRZtMztHMOS2shd9npxWW5Gunrc4HCiQWxGn6H7k09qNB2ZYPvZrtV17Al4QRuPdqvy+7LBm5b7+8htvzSv57LaBD21qemIPEO3fDZsD4sANZm+TxZyM7rkZQLYpSEojYBvL2PJkWfS8CkX5qKBUUFsqfQvTIYRevYOMHTFwEFiHwrbdhThMgU=
  smithi164.front.sepia.ceph.com: ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABgQDSsYDjk26ZvP/I7NULQyMV/gDA0N0dwxzk3AU7pKh8R2kgaK1P+TaXbsxruPibUXL7U9qPhdQ3w1zlrkPbIkQbuhBnNYMyd7czgLDrlQd5nHE2FfwMz0hA6kuBFQFRskyhZekk1cjv6la3MAOiVaP/fwQw41OernGNuGtmqidTeBgVu5ORpmHiLmK/H8pvCgNvKSGE0WPN+C2FGtgH8KYxkSkClVqL4zraeePS0hOwkz+hRX8iWzeN2mmyIy3lEyCSoNoOm1J0Hm39J/78rmE1jk16jdk0g1aOj++U+Tg1abQC4mg+v7jg/iFxj/mj0NQB118dMPVR/F8z7U8Uvu/dfXgcS2uTVPNLYaDVrAuV+CPq2utW9CwXRZ0TIE2qcv+b0YBoKeTYY4ZH1xCHLcNTCLRS2X6l0pMkqNVe4gJfte/IdAdz0dRmX33069p0B3iGd93PlfnM2l4DWPaUASOKWOK0P8D3o0RvHlqxMW/m0tOyviPIT15qOMWSyYPWRmM=
tasks:
- pexec:
    all:
    - sudo cp /etc/containers/registries.conf /etc/containers/registries.conf.backup
    - sudo dnf -y  module reset container-tools
    - sudo dnf -y  module install container-tools:3.0
    - sudo cp /etc/containers/registries.conf.backup /etc/containers/registries.conf
- install:
    branch: quincy
    exclude_packages:
    - ceph-volume
- print: '**** done install task...'
- print: '**** done start installing quincy cephadm ...'
- cephadm:
    cephadm_branch: quincy
    cephadm_git_url: https://github.com/ceph/ceph
    conf:
      osd:
        osd_class_default_list: '*'
        osd_class_load_list: '*'
    image: quay.io/ceph/daemon:latest-quincy-devel
- print: '**** done end installing quincy cephadm ...'
- print: '**** done start cephadm.shell ceph config set mgr...'
- cephadm.shell:
    mon.a:
    - ceph config set mgr mgr/cephadm/use_repo_digest true --force
- print: '**** done cephadm.shell ceph config set mgr...'
- print: '**** done start telemetry quincy...'
- workunit:
    clients:
      client.0:
      - test_telemetry_quincy.sh
- print: '**** done end telemetry quincy...'
- print: '**** done start upgrade sequence...'
- sequential:
  - print: '**** done start upgrade, wait'
  - cephadm.shell:
      env:
      - sha1
      mon.a:
      - ceph config set global log_to_journald false --force
      - ceph orch upgrade start --image quay.ceph.io/ceph-ci/ceph:$sha1
      - while ceph orch upgrade status | jq '.in_progress' | grep true ; do ceph orch
        ps ; ceph versions ; sleep 30 ; done
      - ceph orch ps
      - ceph versions
      - ceph versions | jq -e '.overall | length == 1'
      - ceph versions | jq -e '.overall | keys' | grep $sha1
  - print: '**** done end upgrade, wait...'
  - print: '**** done start telemetry x...'
  - workunit:
      clients:
        client.0:
        - test_telemetry_x.sh
  - print: '**** done end telemetry x...'
- print: '**** done end upgrade, wait'
teuthology_branch: main
teuthology_sha1: 35ea38a9840006713a3d42472a2c536a25e88c15
timestamp: 2022-09-29_00:18:10
tube: smithi
user: lflores
verbose: true
worker_log: /home/teuthworker/archive/worker_logs/dispatcher.smithi.18616
